> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clipvision.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get tiktokoauth



## OpenAPI

````yaml get /tiktok/oauth
openapi: 3.0.1
info:
  title: ClipVision API
  description: ClipVision AI API
  termsOfService: https://www.clipvision.ai/terms/
  contact:
    email: help@clipvision.ai
  license:
    name: ClipVision License
  version: v1
servers:
  - url: https://backend.clipvision.ai/
security:
  - Basic: []
  - api_key: []
paths:
  /tiktok/oauth:
    get:
      tags:
        - tiktok
      operationId: tiktok_oauth_list
      parameters:
        - name: redirect_uri
          in: query
          required: true
          schema:
            minLength: 1
            type: string
      responses:
        '200':
          description: OAuth URL generated successfully
          content:
            application/json:
              schema:
                title: OAuth Response Object
                type: object
                properties:
                  url:
                    type: string
                  csrf_state:
                    type: string
                description: OAuth Response Object OpenAPI Schema
              example:
                url: >-
                  https://www.tiktok.com/v2/auth/authorize/?client_key=awqec04do93oxxbb&scope=video.publish%2Cvideo.list%2Cvideo.upload%2Cuser.info.basic%2Cuser.info.profile%2Cuser.info.stats&redirect_uri=https%3A%2F%2Fdashboard.clipvision.ai%2Foauth%2Ftiktok&state=zf06v344jy&response_type=code
                csrf_state: zf06v344jy
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  redirect_uri:
                    type: array
                    items:
                      type: string
              example:
                redirect_uri:
                  - This field is required.
components:
  securitySchemes:
    Basic:
      type: http
      scheme: basic
    api_key:
      type: apiKey
      name: User-JWT
      in: header

````